> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowscale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of Runs by Group

> Retrieves a list of all runs associated with a specific group ID. Useful for aggregating and managing related runs.



## OpenAPI

````yaml GET /api/v1/runs
openapi: 3.1.0
info:
  title: FlowScale ComfyUI API
  version: 2.0.0
servers:
  - url: https://your-deployment-api-url.pod.flowscale.ai
    description: 'Pod #your-pod (Default)'
  - url: '{apiEndpoint}'
    description: Deployed API Endpoint
    variables:
      apiEndpoint:
        default: https://your-domain.com
        description: Your project's deployed API endpoint
security: []
paths:
  /api/v1/runs:
    get:
      tags:
        - run
      summary: Get Runs
      description: >-
        Retrieves a list of all runs associated with a specific group ID. Useful
        for aggregating and managing related runs.
      operationId: get_runs_api_v1_runs_get
      parameters:
        - name: group_id
          in: query
          required: true
          schema:
            type: string
            title: Group Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunListResponseWrapper'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RunListResponseWrapper:
      properties:
        status:
          type: string
          title: Status
        data:
          $ref: '#/components/schemas/RunListResponse'
        errors:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Errors
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
      type: object
      required:
        - status
        - data
      title: RunListResponseWrapper
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RunListResponse:
      properties:
        group_id:
          type: string
          title: Group Id
        count:
          type: integer
          title: Count
        runs:
          items:
            $ref: '#/components/schemas/RunDetailResponse'
          type: array
          title: Runs
      type: object
      required:
        - group_id
        - count
        - runs
      title: RunListResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RunDetailResponse:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Id
        status:
          type: string
          title: Status
        inputs:
          items:
            type: object
          type: array
          title: Inputs
        output_names:
          items:
            type: string
          type: array
          title: Output Names
        outputs:
          items:
            type: object
          type: array
          title: Outputs
        created_at:
          type: string
          title: Created At
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
      type: object
      required:
        - workflow_id
        - group_id
        - status
        - inputs
        - output_names
        - outputs
        - created_at
        - started_at
        - completed_at
      title: RunDetailResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````